Process Video
curl --request POST \
--url https://api-lr.agent.ai/v1/action/process_video \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"video_type": "YouTube URL",
"video_url": "<string>",
"model_prompt": "<string>",
"output_variable_name": "<string>"
}
'import requests
url = "https://api-lr.agent.ai/v1/action/process_video"
payload = {
"video_type": "YouTube URL",
"video_url": "<string>",
"model_prompt": "<string>",
"output_variable_name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
video_type: 'YouTube URL',
video_url: '<string>',
model_prompt: '<string>',
output_variable_name: '<string>'
})
};
fetch('https://api-lr.agent.ai/v1/action/process_video', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 123,
"response": {}
}{
"status": 123,
"response": {}
}{
"status": 123,
"response": {}
}{
"status": 123,
"response": {}
}AI & Content Generation
Process Video
Analyzes YouTube videos into transcripts, analysis, or additional videos.
POST
/
action
/
process_video
Process Video
Authorizations
Bearer token from your account (https://agent.ai/user/integrations#api)
Body
application/json
Select the video type to process
Available options:
YouTube URL Provide the URL of the YouTube video
Enter a prompt to analyze the video, such as 'Generate 10 second clips where product announcements are made'
Provide a variable name to store the video analysis, like 'video_analysis'
Pattern:
^[a-zA-Z][a-zA-Z0-9_]*$⌘I

